## InfcUserRequest InfcUserRequest |

## Synopsis

                        InfcUserRequest;
    struct              InfcUserRequestClass;
    void                infc_user_request_finished          (InfcUserRequest *request,
                                                             InfUser *user);

## Object Hierarchy

      GObject
       +----InfcRequest
             +----InfcUserRequest

## Signals

      "finished"                                       : Run Last

## Description

## Details

### InfcUserRequest

    typedef struct _InfcUserRequest InfcUserRequest;

### struct InfcUserRequestClass

    struct InfcUserRequestClass {
      InfcRequestClass parent_class;

      /* Signals */
      void (*finished)(InfcUserRequest* request,
                       InfUser* user);
    };

### infc_user_request_finished ()

    void                infc_user_request_finished          (InfcUserRequest *request,
                                                             InfUser *user);

Emits the "finished" signal on `request`.

`request` : | A InfcUserRequest.
`user` : | The InfUser affected by the request.

## Signal Details

### The `"finished"` signal

    void                user_function                      (InfcUserRequest *infcuserrequest,
                                                            InfUser         *arg1,
                                                            gpointer         user_data)            : Run Last

`infcuserrequest` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.